Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBlankStructuredGridWithImage Class Reference

`#include <vtkBlankStructuredGridWithImage.h>`

Inheritance diagram for vtkBlankStructuredGridWithImage:

[legend]
Collaboration diagram for vtkBlankStructuredGridWithImage:

[legend]
List of all members.

## Detailed Description

blank a structured grid with an image

Date:
  2002/01/22 15:29:08

Revision:
  1.6

This filter can be used to set the blanking in a structured grid with an image. The filter takes two inputs: the structured grid to blank, and the image used to set the blanking. Make sure that the dimensions of both the image and the structured grid are identical.

Note that the image is interpreted as follows: zero values indicate that the structured grid point is blanked; non-zero values indicate that the structured grid point is visible. The blanking data must be unsigned char.

See also:
  vtkStructuredGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (87%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkBlankStructuredGridWithImage.h)`
  - .`cxx` (`/Graphics/vtkBlankStructuredGridWithImage.cxx)`

Tests:
  vtkBlankStructuredGridWithImage (Tests)

Definition at line 56 of file vtkBlankStructuredGridWithImage.h.

## Public Types
typedef vtkStructuredGridToStructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetBlankingInput (vtkImageData *input)
vtkImageData * | GetBlankingInput ()
## Static Public Methods
vtkBlankStructuredGridWithImage * | New ()
int | IsTypeOf (const char *type)
vtkBlankStructuredGridWithImage * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBlankStructuredGridWithImage ()
| ~vtkBlankStructuredGridWithImage ()
void | Execute ()

## Member Typedef Documentation

typedef vtkStructuredGridToStructuredGridFilter vtkBlankStructuredGridWithImage::Superclass

| Reimplemented from vtkStructuredGridToStructuredGridFilter. Definition at line 60 of file vtkBlankStructuredGridWithImage.h.

## Constructor & Destructor Documentation

vtkBlankStructuredGridWithImage::vtkBlankStructuredGridWithImage | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkBlankStructuredGridWithImage.h.

vtkBlankStructuredGridWithImage::~vtkBlankStructuredGridWithImage | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkBlankStructuredGridWithImage.h.

## Member Function Documentation

vtkBlankStructuredGridWithImage* vtkBlankStructuredGridWithImage::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkBlankStructuredGridWithImage::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

int vtkBlankStructuredGridWithImage::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

virtual int vtkBlankStructuredGridWithImage::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

vtkBlankStructuredGridWithImage* vtkBlankStructuredGridWithImage::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

void vtkBlankStructuredGridWithImage::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridToStructuredGridFilter.

void vtkBlankStructuredGridWithImage::SetBlankingInput | ( | vtkImageData * | input | ) |

| Set / get the input image used to perform the blanking.

vtkImageData* vtkBlankStructuredGridWithImage::GetBlankingInput | ( |  | ) |

| Set / get the input image used to perform the blanking.

void vtkBlankStructuredGridWithImage::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Graphics/vtkBlankStructuredGridWithImage.h